@font-face {
    font-family: "BebasNeue";
    src: url("../assets/fonts/BebasNeue-Regular.ttf");
}

@keyframes slideinRight {
    0% {
        margin-left: 50%;
    }
    100% {
        margin-left: 0%;
    }
}

@keyframes opacity {
    from {
        opacity: 0.5;
    }

    to {
        opacity: 1;
    }
}

html {
    font-family: 'Oswald', sans-serif;
}

.container-menu a:hover:after {
    width: 100%;
}


.container-header {
    position: relative;
    height: 70vh;
    background-image: url("../img/portada.jfif");
    background-position: center;
    background-size: cover;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.site-header {
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.container-menu {
    font-family: 'BebasNeue';
    font-size: 1em;
    padding: 20px 30px 20px 30px;
    text-transform: uppercase;
    background-color: #292929;
    margin: 0 auto;
    max-width: 50%;
    -webkit-box-shadow: 0px 10px 16px 2px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px 10px 16px 2px rgba(0, 0, 0, 0.75);
    box-shadow: 0px 10px 16px 2px rgba(0, 0, 0, 0.75);
    animation-duration: 2s;
    animation-name: opacity;
}

.container-menu a {
    color: white;
    text-decoration: none;
    text-align: center;
}

.container-menu a:after {
    content: '';
    display: block;
    border-bottom: 7px solid #00adb5;
    width: 0;
    position: absolute;
    right: 0;
    -webkit-transition: 1s ease;
    transition: 0.5s ease;
}

.titulo-principal {
    font-family: 'BebasNeue';
    text-align: center;
    color: white;
    font-size: 6.5em;
    -webkit-text-stroke-width: 5px;
    -webkit-text-stroke-color: black;
    margin-top: 1em;
}

.section-nos-dedicamos{
    font-family: 'Kanit';
}

.section-nos-dedicamos img{
    min-height: 250px;
}

@media (min-width: 768px) {
    .titulo-principal {
        font-size: 11rem;
    }
}

.container-title {
    height: 80vh;
    display: flex;
    justify-content: center;
    align-items: center;
    animation-duration: 3s;
    animation-name: slideinRight;
    min-width: 100%; 
}

.picture1 {
    height: 100vh;
    width: 100%;
    background-image: url("../img/image-1.jpg");
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    -webkit-box-shadow: 0px 0px 86px 24px rgba(0, 0, 0, 0.95);
    -moz-box-shadow: 0px 0px 86px 24px rgba(0, 0, 0, 0.95);
    box-shadow: 0px 0px 86px 24px rgba(0, 0, 0, 0.95);
}

.picture2 {
    height: 100vh;
    width: 100%;
    background-image: url("../img/image-3.jpg");
    background-size: cover;
    background-position: center center;
}

.padd {
    padding-left: 0px;
    padding-right: 0px;
}

.contenido {
    position: relative;
    text-align: center;
}

.contenido p {
    padding-top: -20px;
}

.contenido button {
    margin-top: 20px;
}

.contenido h2 {
    margin-bottom: 10px;
    font-family: 'BebasNeue';
    font-size: 4em;
    color: white;
    border-bottom: 4px solid #00adb5;
    display: inline-block;
    width: 60%;
}

@media (min-width: 1200px) {
    .contenido h2 {
        font-size: 4.3em;

    }
}

.contenido a {
    color: yellow;
    font-size: 1.3em;
    font-family: 'BebasNeue';
    text-decoration: none;
    transition: all .2s ease-in-out;
}

.contenido a:hover {
    color: white;
}

.contenido p {
    color: white;
    width: 100%;
    padding-top: 2em;
    font-size: 1.2em;
    text-align: center;
}

/** imagen 4 y 5 **/

.picture4 {
    height: 100vh;
    width: 100%;
    background-image: url(../img/image-4.png);
    background-size: cover;
    filter: grayscale(70%);
    -webkit-box-shadow: 0px 0px 86px 24px rgba(0, 0, 0, 0.95);
    -moz-box-shadow: 0px 0px 86px 24px rgba(0, 0, 0, 0.95);
    box-shadow: 0px 0px 86px 24px rgba(0, 0, 0, 0.95);

}

.picture5 {
    height: 100vh;
    width: 100%;
    background-image: url(../img/image-5.jpg);
    background-size: cover;
    background-position: center center;
    position: absolute;
    margin-top: -80px;
    display: flex;
    justify-content: center;
    align-items: center;
    -webkit-box-shadow: 0px 0px 86px 24px rgba(0, 0, 0, 0.95);
    -moz-box-shadow: 0px 0px 86px 24px rgba(0, 0, 0, 0.95);
    box-shadow: 0px 0px 86px 24px rgba(0, 0, 0, 0.95);

}

.post {
    position: relative;
}

.mensaje1 {
    position: absolute;
    max-width: 100%;
    text-align: center;
}

@media (min-width: 768px) {
    .mensaje1 {
        width: 100%;
    }
}

.mensaje1 h2 {
    font-family: 'BebasNeue';
    color: rgb(251, 251, 251);
    font-size: 3.5em;
    border-bottom: 4px solid #00adb5;
    display: inline-block;
}

.mensaje1 p {
    color: white;

}

.button {
    font-family: 'BebasNeue';
    font-size: 2em;
    text-transform: uppercase;

}

/** imagen 6 **/

.image-6 {
    height: 100vh;
    width: 100%;
    background-image: url(../img/image-6.jpg);
    background-size: cover;
    background-position: center center;
    position: relative;
    z-index: -2;
}


.title {
    position: relative;
    color: white;
    text-transform: uppercase;
    font-family: BebasNeue;
    font-size: 5em;
}
.texto {
    position: relative;
    font-family: cursive;
    color: white;
    font-size: 1.4em;
}

.texto i {
    color: #fe4918;
}

.div-bn {
    height: 95vh;
    width: 95%;
    background-color: rgba(0, 0, 0, 0.5);
    position: absolute;

}

.container-logos-clientes {
    display: flex;
    justify-content: center;
    align-items: center;
}

.frase{
    display: flex;
    justify-content: center;
    align-items: center;
}

.frase .container {
    background:rgba(0,0,0,0.5);
    padding: 100px;
}
/** footer **/

.site-footer {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #292929;
    padding: 15px 0 10px 0;
    text-align: center;
    height: auto;
    -webkit-box-shadow: 0px -11px 16px 0px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px -11px 16px 0px rgba(0, 0, 0, 0.75);
    box-shadow: 0px -11px 16px 0px rgba(0, 0, 0, 0.75);

}

.footer a {
    color: white;
    text-decoration: none;
    font-size: 1.1em;
    font-family: 'BebasNeue';
    justify-content: space-evenly;
}

.footer a:hover {
    content: '';
    border-bottom: 7px solid #00adb5;
    -webkit-transition: 1s ease;
    transition: 0.5s ease;

}

.container-rs {
    width: 100%;
    display: flex;
    justify-content: center;
}

.redes-sociales {
    margin-top: 50px;
    padding-top: 0.5em;
    padding-bottom: 0;
    width: 10%;
    display: flex;
    font-size: 1.1em;
    justify-content: space-around;
    align-items: center;
}

.redes-sociales a {
    margin: 0!important;
    color: white;
}

.redes-sociales a:hover {
    color: #00adb5;
}

/** mobile menu **/

.mobile-menu {
    display: block;
}

.container-logos {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    align-items: center;
}

.container-logos img {
    width: 30%;
    min-width: 260px;
}

@media (min-width: 768px) {
    .mobile-menu {
        display: none;
    }
}

.menu {
    display: block;
}

/* barra */
.barra {
    background-color: #292929;
    height: 200px;
}
.text-color {
    color: white;
    width: 100%;
    
}
.position {
    text-align: center;
   
}

@media (max-width:768px){
    
    .title {
        font-size: 3em;
    }
    .texto {
        font-size: 1.1em;
    }
    .redes-sociales {
        margin-top: 10px;
        text-align: center;
        display: flex;
        justify-content: space-around;
        align-items: center;
    }
    .redes-sociales a{
        margin: 0;
    }
}

@media (max-width:400px){
    .title {
        font-size: 1.5em;
    }
    .texto {
        font-size: 0.9em;
    }
    .footer a {
        font-size: 0.9em;
    }
    
}